> For the complete documentation index, see [llms.txt](https://docs.tradevest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tradevest.ai/api-reference/asset-management/digital-assets/assets.md).

# Assets

## Get Assets

> Get list of all digital assets.

```json
{"openapi":"3.0.1","info":{"title":"DigitalAssets","version":"1.0"},"tags":[{"name":"Assets","description":"Assets"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"DigitalAssetSymbolDefinitions":{"title":"DigitalAssetSymbolDefinitions","type":"object","properties":{"data":{"type":"array","description":"Array of digital asset symbol definitions.","items":{"$ref":"#/components/schemas/DigitalAssetSymbolDefinition"}}}},"DigitalAssetSymbolDefinition":{"title":"DigitalAssetSymbolDefinition","type":"object","description":"`availableTo` field describes when the symbol support will be terminated. \nIf it points to some date in past it means the symbol is no longer supported.\n","properties":{"symbol":{"type":"string"},"description":{"type":"string"},"assetType":{"$ref":"#/components/schemas/DigitalAssetTypeEnum"},"decimalPlaces":{"type":"integer","minimum":0},"availableFrom":{"type":"string","format":"date-time"},"availableTo":{"type":"string","format":"date-time"},"assetRiskScore":{"$ref":"#/components/schemas/AssetRiskScoreEnum"},"savingsPlansEligible":{"type":"boolean","description":"Indicates whether the digital asset is eligible for savings plans."}},"required":["symbol","description","assetType","decimalPlaces","availableFrom","assetRiskScore","savingsPlansEligible"]},"DigitalAssetTypeEnum":{"title":"DigitalAssetTypeEnum","type":"string","description":"Digital Asset Type","enum":["CRYPTOCURRENCY","SECURITYTOKEN"]},"AssetRiskScoreEnum":{"title":"AssetRiskScoreEnum","description":"The risk classification of the asset","enum":["0","3"]}}},"paths":{"/digital/assets":{"get":{"summary":"Get Assets","tags":["Assets"],"operationId":"get-all-digital-assets","description":"Get list of all digital assets.","parameters":[{"schema":{"type":"boolean"},"in":"query","name":"savingsPlansEligible","description":"Filters the list to only show digital assets eligible for savings plans."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DigitalAssetSymbolDefinitions"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tradevest.ai/api-reference/asset-management/digital-assets/assets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
